PDA

Visualizza la versione completa : openldap ... compilazione


Boromir
15-04-2004, 19:39
Sto ricompialndomi i sorgenti di openldap , ma per farlo in standalone .. vuone Barkley DB ??? Perch mi sta dando errori in merito !!

alex86
15-04-2004, 19:40
ke errori?

se ti pu essere d'aiuto c' qst (http://www.firenze.linux.it/~piccardi/ldap/node5.html) ovviamente vedi anke le pagine successive ke parlano dell'installazione dei pakketti! :ciauz:

Boromir
15-04-2004, 19:43
ke vuole Berkley DB !!! Si ma la cosa che mi domandavo se era normale , la prima volta che mi capita !! Me sto a fa un Dominio con samba 3 e OpenLdap ( FIGATA :D ) ...

alex86
15-04-2004, 19:46
ho editato il msg sopra! :ciauz:

Boromir
15-04-2004, 19:47
lo vuole ... lo vuole :( , credevo che lui se creasse una sorta di DB proprietario su cui lavorare (LDB) ... ma evidentemente si appioggia cmq al Berkeley DB

alex86
15-04-2004, 19:49
fammi sapere se v tt bene ke mi interessa! :ciauz:

Boromir
15-04-2004, 19:54
Certo .. certo !! Sto a fa tutto sul pc de casa (pentium 200 MMX 64 Mb di Ram ) che per ora mi fa solo da FW , ma debbo dire che ha reagito bene ! Su una shell scaricavo e compilavo i moduli perl con MCPAN , su l'altra mi stavo ricompilando samba3 , e sulla terza avevo iniziato con openldap !! Ho notato un "LIEVE" affaticamento :D :D !!
Cmq un dominio con ldap + samba un'ottima cosa !! E poi voglio vedere come integrarci kerberos per una centralizzazione delle password !!!

Boromir
15-04-2004, 20:42
... compilo ? :nonono: No grazie RPM !

FineX
23-05-2005, 10:05
ho la risoluzione al tuo problema, dunchue ho avuto anche io il tuo problema e infatti vuole il berkley db.
Io ho preso la release 4.2.52 su google e lo cerchi lo fa la sleepycat software.
Ti scarici il sorgente tar zxvf db-4.2.52.NC.tar.gz

POi ti sposti nella directory db-4.2.52.NC/build_unix


comandi:

../dist/configure

make

make install


lascia che macini e sei a posto

Boromir
23-05-2005, 10:41
ammazza avete uppato un post antico :D ... cmq c' l'opzione nel .7configure per disabilitare il berkley !

Loading